{
  "name": "dcfrontend",
  "version": "7.11.0",
  "description": "Data Controller",
  "devDependencies": {
    "@saithodev/semantic-release-gitea": "^2.1.0",
    "@semantic-release/changelog": "^6.0.3",
    "@semantic-release/commit-analyzer": "13.0.1",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/npm": "13.1.5",
    "@semantic-release/release-notes-generator": "14.1.0",
    "commit-and-tag-version": "12.7.1"
  },
  "overrides": {
    "got": "11.8.6"
  },
  "scripts": {
    "install": "cd client && npm i && cd ../sas && npm i",
    "build-frontend": "cd client && npm run build",
    "release": "commit-and-tag-version",
    "lint": "cd client && npm run lint",
    "lint:fix": "cd client && npm run lint:fix",
    "lint:fix:silent": "cd client && npm run lint:fix:silent",
    "lint:check": "cd client && npm run lint:check",
    "lint:check:silent": "cd client && npm run lint:check:silent",
    "jo": "echo",
    "prepare": "git rev-parse --git-dir && git config core.hooksPath ./.git-hooks && git config core.autocrlf false || true"
  },
  "repository": {
    "type": "git",
    "url": "https://git.datacontroller.io/dc/dc.git"
  },
  "private": true,
  "//": [
    "Readme",
    "We must set private: true so that semantic-release/npm plugin will update the package.json version but not try to release it as NPM package"
  ]
}
